# Entry Category ID plugin for Movable Type
#
# Release 0.01 (Feb 24, 2008)
#
# This software is provided as-is. You may use it for commercial or
# personal use. If you distribute it, please keep this notice intact.
#
# Copyright (c) 2004-2008 Yujiro Araki
package MT::Plugin::EntryCategoryID;

use strict;
use base qw(MT::Plugin);

our $VERSION = '0.01';

my $plugin = MT::Plugin::EntryCategoryID->new ({
    name => 'Entry Category ID',
    description => "A plugin for the primary category id of the current entry",
    doc_link => 'http://www.koikikukan.com/archives/2008/02/24-022222.php',
    version => $VERSION,
});
MT->add_plugin ($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        tags => {
            function => {
                'EntryCategoryID' => \&_hdlr_entry_category_id,
            },
        },
    });
}

sub _hdlr_entry_category_id {
    my($ctx, $args, $cond) = @_;
    my $e = $ctx->stash('entry')
        or return $ctx->_no_entry_error($ctx->stash('tag'));
    my $cat = $e->category;
    return '' unless $cat;
    local $ctx->{__stash}{category} = $e->category;
    MT::Template::Context::_hdlr_category_id(@_);
}

1;
